# See LICENSE file for copyright and license details.

VERSION = 1.5-waschtl-modular2
PREFIX = /usr/local
DOCPREFIX = ${PREFIX}/share/doc
MANPREFIX = ${PREFIX}/share/man
CFLAGS = -std=c99 -pedantic -Wall -Os -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 \
	-I/usr/include -I/usr/X11R6/include $(CFLAGS_$(BACKEND))
LDFLAGS = -s -L/usr/lib -lc -L/usr/X11R6/lib -lX11 $(LDFLAGS_$(BACKEND))

# Select which backend to use. BACKEND is a selection corresponding to a source
# file in the backends directory (without the .c extension, i.e. passwd).
BACKEND=passwd

# Each backend may specify additional entries in CFLAGS and/or LDFLAGS. These
# are specified here in CFLAGS_$(BACKEND) and LDFLAGS_$(BACKEND), respectively.

# The pam backend.
CFLAGS_pam = -I/usr/include/freetype2
LDFLAGS_pam = -lpam -lXft

# The passwd backend. It can use the shadow file on supporting systems. In
# order to enable that, specify -DUSE_SHADOW in CFLAGS_passwd. Leave it empty
# on systems that do not support the shadow file. Specifically in the case of
# OpenBSD, if -DUSE_SHADOW is not specified, then OpenBSD's own method for
# encrypting password hashes will be enabled at compile time.
#CFLAGS_passwd = -DUSE_SHADOW
LDFLAGS_passwd = -lcrypt
