#include <X11/Xlib.h>

struct AuthState;
struct AuthList;

struct State {
	Display *dpy;
	enum {Reset, Read, Submit} intent;
	unsigned long reset_color;
	char input[256];
	char *inputend;
	struct WinIOList *wios;
	struct WinIOList *wio;
	struct AuthState *auth;
};

struct WinIOList {
	Window win;
	XIC ic;
	struct WinIOList *next;
	struct AuthList *auth;
};

/* Functions provided by slock.c for use in backends. */
void eprintln(const char *const fmt, ...);
void check_val(const int val, const char *const fname,
	const char *const message);
void redraw(const struct State *const state);
void reset(struct State *const state, char *const msg, const int fail);
void get_events(struct State *const state);

/* Functions required to be implemented by backends that are called by slock.c.
 * */
void auth_redraw(const struct State *const state);
void auth_reset(const struct State *const state, char *const msg,
	const int fail);
void auth_backspace(const struct State *const state);
void auth_input(const struct State *const state, const char *const buf,
	const int len);
void auth_init(struct State *const state);
int auth_do(struct State *const state);
void auth_close(const struct State *const state);
